!set title=Potencia II
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
leftrange=-3.000000
rightrange=3.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=yes
precision=10000

ansorder=r
varcnt=18
prevarcnt=17
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 20, 80

val6=$[$(tmp0)/100]
tmp0=!randint 20, 80

val7=$[$(tmp0)/100]
tmp0=!randitem 0,1

val8=$[rint($(tmp0))]

!ifval $val8=1
tmp0=!randint 1, 5

val6=$[$val6+$(tmp0)]
!endif

!ifval $val8=1
tmp0=!randint 1, 5

val7=$[$val7+$(tmp0)]
!endif
tmp0=!randint 0, 10


!ifval $val8=1 and $(tmp0)<3 
val7= $val6
!endif
tmp0=!randitem -1,1


!ifval $(tmp0)>0
val6=$val6
!else
val6=(-$val6)
!endif
tmp0=!randitem -1,1


!ifval $(tmp0)>0
val7=$val7
!else
val7=(-$val7)
!endif
tmp0=!randitem n,n,n,(n-1),(n-2),(n-3),(n-4),(n-5),(n+1),(n+2),(n+3),(n+4),(n+5)

val9=$(tmp0)
tmp0=!randitem n,n,n,(n-1),(n-2),(n-3),(n-4),(n-5),(n+1),(n+2),(n+3),(n+4),(n+5)

val10=$(tmp0)
evaltmp=$val9-$val10

evaltmp=!mathsubst n=(0) in $evaltmp
tmp0=($evaltmp)
val11=$[rint($(tmp0))]
val12=$[(1-$val7)/(1-$val6)]

!ifval $val11>0 && $val8=1
val12=$[$val12*$val6^$val11]
!endif

!ifval $val11<0 && $val8=1
val12=$[$val12*$val7^($val11)]
!endif

!ifval $val8=1 and abs($val6) > abs($val7) 
val12= no
!endif

!ifval $val8=1 and abs($val6) < abs($val7) 
val12=$[ 0]
!endif

!ifval $val8=1 and $val6+($val7)=0 
val12= no
!endif
replytype1=default
replyname1=lim(<i>u<sub>n</sub></i>)
replygood1=$val12,no
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Calcular el límite de la sucesión (<i>u<sub>n</sub></i>), donde	<p><center>	
!insmath  u_n=(1+$val6+$val6^2+$val6^3+...+$val6^$val9)	/(1+$val7+$val7^2+$val7^3+...+$val7^$val10) 
$()	</center> <p>	Introducir <tt>no</tt> si la sucesión es divergente.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,9,10
embedcnt=0
